diff --git a/src/base/core/int.c b/src/base/core/int.c
index bc5c4dcae3..8a4f00f6b2 100644
--- a/src/base/core/int.c
+++ b/src/base/core/int.c
@@ -777,6 +777,45 @@ static int dos_helper(int stk_offs, int revect)
     return 1;
 }
 
+static void extmem_copy(unsigned dst, unsigned src, unsigned len)
+{
+  unsigned slen, dlen, clen, copied = 0;
+  unsigned s, d, edge = LOWMEM_SIZE + HMASIZE;
+  unsigned char *ps = NULL;
+
+  while ((clen = len - copied) > 0) {
+    slen = clen;
+    s = src + copied;
+    if (s >= edge)
+      ps = &ext_mem_base[s - edge];
+    else if (s + slen > edge)
+      slen = edge - s;
+
+    dlen = clen;
+    d = dst + copied;
+    if (d < edge && d + dlen > edge)
+      dlen = edge - d;
+
+    clen = _min(slen, dlen);
+    x_printf("INT15: copy 0x%x bytes from %#x to %#x%s\n",
+      clen, s, d, clen != len ? " (split)" : "");
+    if (d < edge) {
+      if (s < edge)
+	memmove_dos2dos(d, s, clen);
+      else
+	memcpy_2dos(d, ps, clen);
+      e_invalidate(d, clen);
+    } else {
+      unsigned char *pd = &ext_mem_base[d - edge];
+      if (s < edge)
+	memcpy_2unix(pd, s, clen);
+      else
+	memmove(pd, ps, clen);
+    }
+    copied += clen;
+  }
+}
+
 static int int15(void)
 {
     int num;
diff --git a/src/base/misc/hma.c b/src/base/misc/hma.c
index 082c8e308b..a7a11e882e 100644
--- a/src/base/misc/hma.c
+++ b/src/base/misc/hma.c
@@ -84,42 +84,3 @@ void
 hma_exit(void)
 {
 }
-
-void extmem_copy(unsigned dst, unsigned src, unsigned len)
-{
-  unsigned slen, dlen, clen, copied = 0;
-  unsigned s, d, edge = LOWMEM_SIZE + HMASIZE;
-  unsigned char *ps = NULL;
-
-  while ((clen = len - copied) > 0) {
-    slen = clen;
-    s = src + copied;
-    if (s >= edge)
-      ps = &ext_mem_base[s - edge];
-    else if (s + slen > edge)
-      slen = edge - s;
-
-    dlen = clen;
-    d = dst + copied;
-    if (d < edge && d + dlen > edge)
-      dlen = edge - d;
-
-    clen = _min(slen, dlen);
-    x_printf("INT15: copy 0x%x bytes from %#x to %#x%s\n",
-      clen, s, d, clen != len ? " (split)" : "");
-    if (d < edge) {
-      if (s < edge)
-	memmove_dos2dos(d, s, clen);
-      else
-	memcpy_2dos(d, ps, clen);
-      e_invalidate(d, clen);
-    } else {
-      unsigned char *pd = &ext_mem_base[d - edge];
-      if (s < edge)
-	memcpy_2unix(pd, s, clen);
-      else
-	memmove(pd, ps, clen);
-    }
-    copied += clen;
-  }
-}
diff --git a/src/include/hma.h b/src/include/hma.h
index dbd109a37d..4c85f04fb5 100644
--- a/src/include/hma.h
+++ b/src/include/hma.h
@@ -9,6 +9,5 @@
 
 extern int a20;
 void set_a20(int);
-void extmem_copy(unsigned dst, unsigned src, unsigned len);
 
 #endif
